import { ConfigPreset } from '../model';
export declare type ReportParams = {
    target: string;
};
export declare class ReportService {
    protected readonly params: ReportParams;
    static defaultParams: ReportParams;
    private readonly configLoader;
    constructor(params: ReportParams);
    private createReportFromFile;
    private createReportsPerNode;
    /**
     *  It generates a .rst config report file per node.
     * @param passedPresetData the preset data,
     */
    run(passedPresetData?: ConfigPreset): Promise<string[]>;
    private toRstReport;
    private toCsvReport;
}
